# abstract TextFormatAlign(Null<Int>)

#### package openfl.text

####

Available on all platforms

The TextFormatAlign class provides values for text alignment in the TextFormat class.

### Variables

###

`inline read onlyCENTER:TextFormatAlign = 0`

Constant; centers the text in the text field. Use the syntax `TextFormatAlign.CENTER`.

###

`inline read onlyEND:TextFormatAlign = 1`

###

`inline read onlyJUSTIFY:TextFormatAlign = 2`

Constant; justifies text within the text field. Use the syntax `TextFormatAlign.JUSTIFY`.

###

`inline read onlyLEFT:TextFormatAlign = 3`

Constant; aligns text to the left within the text field. Use the syntax `TextFormatAlign.LEFT`.

###

`inline read onlyRIGHT:TextFormatAlign = 4`

Constant; aligns text to the right within the text field. Use the syntax `TextFormatAlign.RIGHT`.

###

`inline read onlySTART:TextFormatAlign = 5`